Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1565328 - Add product flag to advanced settings to support enablement of v2v migration UI
Summary: Add product flag to advanced settings to support enablement of v2v migration UI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Aparna Karve
QA Contact: Yadnyawalk Tale
URL:
Whiteboard:
Depends On:
Blocks: 1564234 1583819
TreeView+ depends on / blocked
 
Reported: 2018-04-09 20:22 UTC by Greg McCullough
Modified: 2019-02-11 14:09 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1583819 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:09:12 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Greg McCullough 2018-04-09 20:22:39 UTC
Description of problem: Create new advanced settings flag to enable/disable v2v migration in the Ops UI.


Version-Release number of selected component (if applicable): 5.9


Expected results:
Enabling flag would expose the Compute -> Migration navigation path in the UI.

Missing or disabled flag would not show Compute -> Migration.

Comment 4 Greg McCullough 2018-04-11 15:28:46 UTC
Upstream PR: https://github.com/ManageIQ/manageiq/pull/17270

Comment 10 CFME Bot 2018-05-29 19:02:01 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/3a6d4220e9b8c2f254a3abf1028fe23d2be1e696
commit 3a6d4220e9b8c2f254a3abf1028fe23d2be1e696
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Wed Apr 11 10:21:26 2018 -0400
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Apr 11 10:21:26 2018 -0400

    Add `:transformation` under product and set to `false` by default

    https://bugzilla.redhat.com/show_bug.cgi?id=1565328

 config/settings.yml | 1 +
 1 file changed, 1 insertion(+)

Comment 11 Yadnyawalk Tale 2018-07-24 09:04:29 UTC
Fixed! With transformation true/false, we can enable/disable migration UI.
Verified on: 5.10.0.4.20180712211305_e6e4542 

Thanks!


Note You need to log in before you can comment on or make changes to this bug.